Donate

Firefox 3.0 support

Firefox 3.0 will not be officially supported by Mozilla for much longer and some planned KeeFox features will be easier to implement if I concentrate on version 3.5+ only. For these reasons, KeeFox version 0.8 will require Firefox 3.5+.

I don’t plan to drop support for 3.5 until after the release of KeeFox version 1.0 unless Mozilla officially withdraws support in the mean-time. However, to ensure you’re getting the fastest and most secure browsing experience, it is always advisable to upgrade to the latest Firefox version as soon as possible.

You can download Firefox from the official site.


Article categories: [keefox news]
Published on: 1 April 2010